Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.gwt.core.linker
Enum SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit

    java.lang.Object
      java.lang.Enum<SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit>
          com.google.gwt.core.linker.SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit>

Enclosing class:
  SymbolMapsLinker.ScriptFragmentEditsArtifact

    public static enum SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit

extends java.lang.Enum<SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit>

Operation type performed on script.

Enum Constant Summary
`INSERT`
`PREFIX`
`REMOVE`

Method Summary
`static SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PREFIX

    public static final SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit PREFIX

### INSERT

    public static final SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit INSERT

### REMOVE

    public static final SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit REMOVE

Method Detail

### values

    public static SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit c : SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD